{
	// Terminal profiles:
	"terminal.integrated.profiles.windows": {
		"Git Bash": {
			"source": "Git Bash",
			// "icon": "tools",
			"color": "terminal.ansiGreen",
			"overrideName": false,
			"env": {},
			"args": ["--init-file", "sys/export.sh"]
		},
		"Command Prompt": {
			"path": "C:/Windows/System32/cmd.exe",
			// "icon": "tools",
			"color": "terminal.ansiGreen",
			"overrideName": false,
			"env": {},
			"args": ["/k call sys/export.bat"]
		},
		"PowerShell": {
			"source": "PowerShell",
			// "icon": "tools",
			"color": "terminal.ansiGreen",
			"overrideName": false,
			"env": {},
			"args": ["-noexit", "-file", "sys/export.ps1"]
		}
	},

	"terminal.integrated.defaultProfile.linux": "Build bash",
	"terminal.integrated.profiles.linux": {
		"Build bash": {
			"path": "bash",
			"icon": "terminal-bash",
			"color": "terminal.ansiGreen",
			"overrideName": true,
			"env": {},
			"args": ["--init-file", "sys/export.sh"]
		},
		"Build zsh": {
			"path": "zsh",
			"icon": "terminal",
			"color": "terminal.ansiGreen",
			"overrideName": true,
			"env": {"ZDOTDIR": "sys/zdotdir"},
			"args": []
		}
	},

	"terminal.integrated.defaultProfile.osx": "Build zsh",
	"terminal.integrated.profiles.osx": {
		"Build bash": {
			"path": "bash",
			"icon": "terminal-bash",
			"color": "terminal.ansiGreen",
			"overrideName": true,
			"env": {},
			"args": ["--init-file", "sys/export.sh"]
		},
		"Build zsh": {
			"path": "zsh",
			"icon": "terminal",
			"color": "terminal.ansiGreen",
			"overrideName": true,
			"env": {"ZDOTDIR": "sys/zdotdir"},
			"args": []
		}
	},

	// Cortex-Debug
	"cortex-debug.armToolchainPath": "${userHome}/.xpack-dev-tools/xpack-arm-none-eabi-gcc-12.3.1-1.2/bin",

	// C/C++
	"C_Cpp.autoAddFileAssociations": false,

	// Task Buttons extention
	"VsCodeTaskButtons.showCounter": false,
	"VsCodeTaskButtons.tasks": [
		{
			"label": "$(tools) M2 Release",
			"alignment": "left",
			"task": "Build M2 Release"
		},
		{
			"label": "$(tools) M3 Release",
			"alignment": "left",
			"task": "Build M3 Release"
		},
		{
			"label": "$(tools) M2 Debug",
			"alignment": "left",
			"task": "Build M2 Debug"
		},
		{
			"label": "$(tools) M3 Debug",
			"alignment": "left",
			"task": "Build M3 Debug"
		},
		{
			"label": "$(tools) Clean",
			"alignment": "left",
			"task": "Clean"
		},
	],
	"workbench.editorAssociations": {
		"*.o": "hexEditor.hexedit",
		"*.elf": "hexEditor.hexedit",
		"*.bin": "hexEditor.hexedit",
		"*.fw": "hexEditor.hexedit"
	},
	"search.exclude": {
		"build/**": true
	}
}
